APPLYBINBDD(3)

NAME
applyBinBdd - applies an operator to two BDD.

SYNOPSYS
#include "logmmm.h"
pNode applyBinBdd(oper,pBdd1,pBdd2)
short oper;
pNode pBdd1;
pNode pBdd2;

PARAMETERS

oper
    operator number to apply (OR,AND,XOR,NAND,NOR,NXOR)

pBdd1
    first argument

pBdd2
    second argument

DESCRIPTION
applyBinBdd() applies oper to pBdd1 and pBdd2. This function provides the basic method for creating the representation of a boolean function.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
pNode nodeA,nodeB;
pNode res;
initializeBdd(SMALL_BDD);
nodeA = createNodeTermBdd(3);
nodeB = createNodeTermBdd(3);
res = applyBinBdd(OR,nodeA,nodeB);
displayBdd(res,1);
/* it will display
@res    INDEX = 3   LOW = @nodeA   HIGH = ONE
@nodeA  INDEX = 2   LOW = ZERO     HIGH = ONE
*/

destroyBdd(1);

SEE ALSO
log(1), bdd(1), applyBdd(3), notBdd(3), constraintBdd(3), composeBdd(3), addListBdd(3), displayBdd(3), createNodeTermBdd(3).